import request from '@/utils/request'

// 查询物料字典列表
export function listMtd(query) {
  return request({
    url: '/information/delivery/list',
    method: 'get',
    params: query
  })
}

// 查询物料字典详细
export function getMtd(id) {
  return request({
    url: '/information/delivery/' + id,
    method: 'get'
  })
}

// 新增物料字典
export function addMtd(data) {
  return request({
    url: '/information/delivery',
    method: 'post',
    data: data
  })
}

// 修改物料字典
export function updateMtd(data) {
  return request({
    url: '/information/delivery',
    method: 'put',
    data: data
  })
}

// 删除物料字典
export function delMtd(id) {
  return request({
    url: '/information/delivery/' + id,
    method: 'delete'
  })
}
